Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

WordPress Widgets Shortcode

Embed any widget area/dynamic sidebar to your pages/posts using the shortcode [dynamic-sidebar id='Your Widget Area/Sidebar name']

The plugin allows you to embed any WordPress Widget area/Dynamic Sidebar to your WordPress posts

What you can do:

  • Use the shortcode to embed widget areas in posts
  • Use the shortcode to embed Widget areas in Pages
  • The widgets can be embedded anywhere, at the begining of content, middle, bottom or where ever you want. Just put the shortcode there.

Please leave a comment here at BuddyDev.com

Author Brajesh Singh
Profile
Contributors sbrajesh, buddydev
Tags dynamic sidebar, embed, embed widgets, shortcodes, widgets
  1. wp-widgets-shortcode screenshot 1

    List of widgets areas in WordPress Appearance->Widgets screenshot-1.png

  2. wp-widgets-shortcode screenshot 2

    An example on how to embed the widget area in post edit screen screenshot-2.png

  3. wp-widgets-shortcode screenshot 3

    An example of the output in the middle of the post content screenshot-3.png

This section describes how to install the plugin and get it working.

e.g.

  1. Download wp-widgets-shortcode.zip and unxip it
  2. Upload wp-widgets-shortcode to the /wp-content/plugins/ directory
  3. Activate the plugin through the 'Plugins' menu in WordPress
  4. Now, you can start embedding the widget areas

1.0.3

  • Code cleanup

1.0.2

  • Fix the issue is_active_sidebar not recognizing the sidebar by name

1.0.1

  • Use trim function to remove any space in the name of the widget area.

1.0

  • Initial release

What is the use of this plugin?

It gives you the flexibility to embed any widget area(dynamic sidebar) to your posts/pages. Use it as you want. Your imagination is the only limit.

Need support or want to say thanks?

Please leave a comment here BuddyDev.com

Others

For more info, please visit us at BuddyDev.com

Share  
Download
Version 1.0.3

Requires WordPress version: 3.5 or higher

Compatible up to: 4.7.2

Last Updated 22 Jan 2017

Date Added: 22 Jun 2013

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

4.5 stars
8 ratings
11,794 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0